We can import between any Salesforce instance, from any edition. Even if you do not have an API-enabled edition of Salesforce, we can still perform the import for you. 

Did this answer your question?